:root {
    --navbar: rgba(224, 224, 224, 0);
    --navText: rgb(255, 255, 255);
    --navhover: #ffb33a;
}


* {
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    scroll-behavior: smooth;
}

body {
    background-color: rgb(255, 255, 255);
    font-family: Arial,
        Helvetica,
        sans-serif;
    margin: 0;
}

img {
    width: 100%;
    height: auto;
}

p {
    font-size: 15px;
    letter-spacing: 1.6px;
    margin: 0px;
    font-weight: 300;
}

a {
    text-decoration: none;
    color: white;
}

section {
    width: 70%;
    padding: 100px 0px;
    margin: auto;
}

.clearfix {
    clear: both;
}

/* 導覽列 */


#navbar {
    width: 100%;
    background-color: var(--navbar);
    z-index: 10;
    position: fixed;
    /* border-bottom: 1px solid #ffb33a; */
    display: grid;
    grid-template-columns: 0.2fr auto 1fr;
    align-items: center;
    padding: 10px 10px;
    transition: 0.4s;
    top: 0;
    margin: 0 auto;
}


#logo {
    width: 30%;
    transition: 0.4s;
    justify-self: start;
    margin-left: 20px;
    cursor: pointer;
}

.nav-menu {
    display: grid;
    grid-template-columns: repeat(8, auto);
    list-style: none;
    text-align: center;
    width: 55%;
    justify-self: end;
}

.nav-links {
    font-size: 14px;
    letter-spacing: 1.8px;
    color: var(--navText);
    font-family: 'Kaushan Script',
        cursive;
}

.nav-links:hover {
    color: var(--navhover);
    transition: all 0.2s ease-out;
}

.menu-toggle .bar {
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background: white;
}

.bg {
    /* The image used */
    background-image: url("../img/bg.jpg");
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-position: center center;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    z-index: -10;
}



/* banner幻燈片 */

#banner {
    position: relative;
    height: 100vh;
    transition: 0.5s;
    overflow: hidden;
}

.bannerText {
    position: absolute;
    left: 50%;
    top: 55%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: rgba(255, 255, 255, 0.707);
    z-index: 3;
    width: 100%;
}

.bannerText .title {
    font-size: 2.7rem;
    margin: 15px 0px;
    font-weight: 700;
    letter-spacing: 10px;
}

.bannerText .title2 {
    font-size: 0.7rem;
    font-weight: 100;
    letter-spacing: 4px;
    line-height: 1.6;
}

.bannerText .btn {
    display: inline-block;
    padding: 10px 30px;
    border: 1px solid rgba(255, 255, 255, 0.707);
    margin-top: 50px;
    transition: 0.4s all ease;
    font-size: 14px;
    letter-spacing: 3px;
    font-family: 'Kaushan Script',
        cursive;
}

.bannerText .btn:hover {
    background-color: #FCA311;
}

#banner img {
    display: block;
    width: 100%;
    object-fit: cover;
}

#mask {
    position: absolute;
    width: 100%;
    height: 100vh;
    z-index: 2;
    transition: 0.5s;
    background-color: rgba(0, 0, 0, 0.30);
}


/* 服務內容 */
#serve {
    width: 100%;
    padding: 100px 0px;
    background-color: #656565;
    background-blend-mode: multiply;
    background-image: url(../img/servebg.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.serveArea {
    display: flex;
    justify-content: center;
}

.serveItem {
    margin: 0px 30px;
    width: 20%;
    display: flex;
}

.serveItem p {
    color: #FCA311;
    line-height: 1.5;
}

.serveText2 p {
    line-height: 1.9;
    font-weight: 300;
    opacity: 0.9;
    font-size: 14px;

}

.serveText2 .serveTitle {
    font-size: 1.3rem;
    font-weight: 900;
    margin-bottom: 10px;
    line-height: 1.5;
}

.serveText1 p {
    margin: 5px 20px;
    font-size: 20px;
    font-weight: 600;
    color: #FCA311;
    font-family: 'Kaushan Script',
        cursive;
}

/* 關於我們 */

#about {
    width: 80%;
}

.aboutArea {
    display: flex;
    align-items: center;
    justify-content: center;
}

.aboutItem {
    width: 40%;
}

.aboutPic {
    width: 35%;
    margin: 0px 50px;
}


.aboutTitle {
    font-size: 1.8rem;
    font-weight: 900;
    color: white;
}

.aboutTitle2 {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin: 20px 0px;
    margin-left: -50px;
    font-family: 'Kaushan Script',
        cursive;
}

.aboutTitle2 hr {
    width: 10%;
    height: 3px;
    border: 0px;
    background-color: #FCA311;
    margin: 0px 15px;
}

.aboutTitle2 p {
    font-size: 16px;
    color: #FCA311;
    font-weight: 600;
}

.aboutText {
    font-size: 16px;
    letter-spacing: 1.5px;
    line-height: 1.8;
    color: white;
}

.aboutItem .btn {
    display: inline-block;
    padding: 10px 30px;
    border: 2px solid #FCA311;
    margin-top: 30px;
    transition: 0.4s all ease;
    font-size: 14px;
    letter-spacing: 3px;
    font-weight: 700;
    color: #ffffff;
}

.aboutItem .btn:hover {
    color: white;
    background-color: #FCA311;
    border: 2px solid #FCA311;
}

/* 合作廠商 */

#Partner {
    width: 100%;
    padding: 0px;
    overflow: hidden;
    background-color: white;
}

.partnerArea {
    display: flex;
}

#Partner .swiper-slide {
    width: 16.666%;
    padding: 30px;
    border: 1px solid #E5E5E5;
}

#Partner .swiper-slide img {
    height: 150px;
    object-fit: contain;
    filter: grayscale(1);
}

/* 合作案例 */
#case {
    width: 100%;
    background-color: #f4f2ef;
    overflow: hidden;
}

.caseTitle {
    text-align: center;
    font-size: 1.5rem;
    line-height: 1.6;
    font-weight: 900;
    color: #14213D;
    font-family: 'Kaushan Script',
        cursive;
}

.caseTitle2 hr {
    width: 3%;
    height: 3px;
    border: 0px;
    background-color: #FCA311;
    margin: 0px 15px;
}

.caseTitle2 {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 10px 0px 60px 0px;
}

.caseTitle2 p {
    color: #FCA311;
    font-weight: 900;
}



/* === Links Styles === */
.wrapper2 a {
    text-decoration: underline;
    transition: 0.25s;
    backface-visibility: hidden;
}

.wrapper2 a:hover {
    text-decoration: none;
}

.wrapper2 a:focus {
    outline: 0;
    outline: 0 auto -webkit-focus-ring-color;
    outline-offset: 0;
}


.wrapper2 {
    margin: 5% auto;
    display: block;
    width: 90%;
    height: 100%;
    padding: 0;
}

.wrapper_inner {
    padding: 0.2em;
    margin: 0;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
}

.gallery_item {
    width: 32%;
    display: inline-block;
    margin: 0 auto;
    margin-bottom: 1em;
    padding: 0;
}

.gallery_item_preview {
    transition: all 0.5s ease;
}

.gallery_item_preview a {
    position: relative;
    display: inline-block;
    padding: 0.5em;
    background: #ECECEC;
    color: #333;
    text-decoration: none;
    overflow: hidden;
    transition: all 0.5s ease;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.195);
}

.gallery_item_preview a:hover {
    color: #777;
    transition: all 0.5s ease;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.243);
}

.gallery_item_preview a:before {
    content: "觀看網站";
    position: absolute;
    top: 0.5em;
    left: -30em;
    background-color: #ffb33a;
    color: rgb(255, 255, 255);
    padding: 0.5em 1em;
    border-radius: 5px 0 0 0;
    transition: all 1s ease;
    letter-spacing: 2px;
    font-size: 18px;
    font-weight: 900;
}

.gallery_item_preview a:hover:before {
    left: 0.5em;
    transition: all 1s ease;
}

.gallery_item_preview a h3 {
    font-weight: 900;
}

.gallery_item_preview a p {
    text-align: justify;
}

.gallery_item_preview a img {
    display: block;
    width: 100%;
    height: 150px;
    border-radius: 5px;
    transition: all 0.5s ease;
}

.gallery_item_full {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    background-color: #fff;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 100;
    overflow: hidden;
}

.gallery_item_full img {
    display: block;
    width: 100%;
}

.box {
    margin: auto;
    background: #ecf0f1;
    padding: 2em;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: auto;
    width: 50%;
    text-align: left;
}

.box h3 {
    font-family: 'Leckerli One', cursive;
    color: #F88484;
}

.cl {
    position: absolute;
    top: 0.5em;
    right: 0.5em;
    color: #777;
    text-decoration: none;
    display: inline-block;
    font-size: 2em;
}

.cl:hover {
    color: #F88484;
}


/*  list style
=============================*/
.icon_list {
    width: 30px;
    height: 30px;
    display: block;
    padding: 0.5em;
    text-decoration: none;
    line-height: 0.4em;
    background: #FFF;
    color: #838383;
    border: 1px solid #C2C2C2;
    box-shadow: 0 1px 1px #4B4B4B;
    border-radius: 4px;
    position: absolute;
    right: 0.3em;
    top: 0.3em;
    transition: all 0.5s ease;
}

.icon_list:hover {
    background: #4E4E4E;
    color: #FFF;
    border-color: #000;
    transition: all 0.5s ease;
}

.gallery_item_list {
    float: none !important;
    display: block !important;
    width: 50% !important;
    margin: auto;
    background: #ECECEC;
    margin-top: 0.5em;
    box-shadow: 0 1px 4px #838383;
    transition: all 0.5s ease;
}

.gallery_line {
    width: 130px !important;
    height: 100px !important;
    display: inline-block !important;
    float: left !important;
    margin-right: 1em !important;
    transition: all 0.5s ease;
}

/*	Simple animation
=======================*/
.efIn {
    animation: fx_in 0.65s 1 ease-in-out;
}

.efOut {
    animation: fx_out 0.7s 1 ease-in-out;
}

/*	Keyframes
==============*/
@keyframes fx_in {
    from {
        width: 0;
        height: 0;
        border-radius: 100%;
        opacity: 0;
    }

    50% {
        box-shadow: inset 0 0 0 0 #fff;
    }

    to {
        width: 100%;
        height: 100%;
        border-radius: 0;
        opacity: 1;
    }
}

@keyframes fx_out {
    from {
        width: 100%;
        height: 100%;
        border-radius: 0;
        box-shadow: inset 0 0 0 0 #fff;
        opacity: 1;
    }

    50% {
        box-shadow: inset 0 0 0 80em #fff;
    }

    to {
        width: 0;
        height: 0;
        border-radius: 100%;
        opacity: 0;
    }
}


/* Large desktop */
@media (min-width: 980px) {
    .gallery_item {
        width: 32%;
    }

    .gallery_item_preview a img {
        height: 330px;
        object-fit: cover;
        object-position: top;
    }

    .box {
        width: 60%;
    }
}

/* Portrait tablet to landscape and desktop */
@media (min-width: 768px) and (max-width: 979px) {
    .gallery_item {
        width: 32.83%;
    }

    .gallery_item_preview a img {
        height: 180px;
    }

    .box {
        width: 70%;
    }
}

/* Landscape phone to portrait tablet */
@media (max-width: 767px) {
    .gallery_item {
        width: 49.45%;
    }

    .gallery_item_preview a img {
        height: 180px;
    }

    .box {
        margin: auto;
        background: #F8F8F8;
        padding: 4em 1em 1em 1em;
        width: 80%;
    }

    .cl {
        top: 0;
        right: 0.5em;
    }
}

/* Landscape phones and down */
@media (max-width: 480px) {
    .gallery_item {
        width: 100%;
    }

    .gallery_item_preview a img {
        height: 200px;
    }

    .box {
        background: #F8F8F8;
        padding: 4em 1em 1em 1em;
        width: 100%;
    }

    .cl {
        top: 0;
        right: 0.5em;
    }

    .gallery_item_list {
        width: 100% !important;
    }
}

/* 無限輪播 */

#carousel {
    width: 100%;
    padding: 100px 180px;
    background-color: #333;
    overflow: hidden;
}



/* 和作流程 */


#process {
    width: 100%;
    padding: 100px 0px;
    background-color: #333;
    color: white;
    position: relative;
}


.ipsType_right {
    text-align: right;
}

.ipsType_center {
    text-align: center;
}

.cInnerContent {
    max-width: 1240px;
    margin-left: auto;
    margin-right: auto;
}


.ipsGrid {
    display: inline-block;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
}

.ipsGrid::before,
.ipsGrid::after {
    display: table;
    content: "";
    line-height: 0;
}

.ipsGrid>[class*="ipsGrid_span"] {
    display: block;
    width: 100%;
    min-height: 30px;
    box-sizing: border-box;
}

.ipsGrid>.ipsGrid_span5 {
    width: 40.42553191489362%;
}

.ipsGrid>.ipsGrid_span7 {
    width: 57.44680851063829%;
}

.ipsGrid>[class*="ipsGrid_span"] {
    float: left;
    margin-left: 2%;
}

.ipsGrid>[class*="ipsGrid_span"]:first-child {
    margin-left: 0;
}

.feature {
    display: flex;
    align-items: center;
}

#process .card {
    height: 100%;
    margin-bottom: 30px;
    /* border: 1px solid #cccccc; */
    border-radius: 8px;
    overflow: hidden;
    /* background: #5b5b5b; */
    /* box-shadow: 1px 1px 15px 10px #0000004e; */
    /*   transition: 0.3s; */
}

.featured-image-container .card {
    padding: 10px;
    height: 0;
    /* padding-bottom: calc(100% - 10px); */
}

.header-section {
    margin: 100px 0px 150px 0px;
}

.gs_reveal {
    opacity: 0;
    visibility: hidden;
    will-change: transform, opacity;
}


/* 合作流程 */

#timeline {
    width: 100%;
    height: 100%;
    padding: 70px 0px;
    position: relative;
    overflow: hidden;
    background-color: #333;
}

#timeline .teamTitle {
    color: white;
}

/* timeline2 */

#timeline2 .caseTitle {
    color: white;
}

#timeline2 {
    position: relative;
    height: 100vh;
    z-index: 0;
    background-color: #333;
    width: 100%;
    overflow: hidden;
}


/* chose */


#choose {
    background: #eee;
    padding: 50px 100px;
    width: 100%;
}

.chooseTitle {
    text-align: center;
    font-size: 1.5rem;
    line-height: 1.6;
    font-weight: 900;
    color: #14213D;
}

.chooseTitle2 hr {
    width: 3%;
    height: 3px;
    border: 0px;
    background-color: #FCA311;
    margin: 0px 15px;
}

.chooseTitle2 {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 10px 0px 60px 0px;
}

.chooseTitle2 p {
    color: #FCA311;
    font-weight: 900;
}




figure {
    margin: 0;
}

img {
    height: auto;
    width: 100%;
}



.wrapper {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: 1fr 2fr;
    grid-auto-rows: minmax(100px, auto);
    margin: 24px;
    max-width: 1000px;
    position: relative;
}

.wrapper>* {
    grid-column: 1 / span 2;
}

.header {
    font-size: 1.5em;
    grid-row: 1 / 2;
}

header:after {
    background: #ffb33a;
    content: "";
    display: block;
    height: 20px;
    width: auto;
}

.article {
    text-align: right;
}

.featured-image-1 {
    grid-row: 2 / 3;
}

.number-1 {
    grid-row: 2 / 4;
}

.featured-image-2,
.number-2 {
    grid-row: 4 / 5;
}

.number-1,
.number-4 {
    align-self: end;
    color: #ffb33a;
    font-family: 'Fjalla One', sans-serif;
    font-size: 480px;
    line-height: 480px;
    grid-column: 1 / 2;
}

.article-1,
.article-4 {
    grid-column: 2 / 3;
}

.featured-image-2,
.number-2 {
    align-self: end;
}

.number-2 {
    color: #eee;
    font-size: 200px;
    justify-self: end;
    line-height: 160px;
}

.number-3 {
    background: black;
    border-radius: 130px;
    color: white;
    font-family: 'Fjalla One', sans-serif;
    font-size: 100px;
    height: 130px;
    line-height: 130px;
    position: absolute;
    grid-row: 6 / 7;
    right: -20px;
    text-align: center;
    top: -20px;
    width: 130px;
}

.featured-image-3 img {
    height: 100%;
}

.number-4 {
    font-size: 320px;
    left: -20px;
    line-height: 320px;
    position: absolute;
}

/* 六大助力 */

#health {
    width: 100%;
    padding: 70px 180px;
    background-color: #333;
}

#health .title {
    color: white;
}

.content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container {
    width: 100%;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.container .card {
    position: relative;
    cursor: pointer;
    width: 30%;
}

.container .card .face {
    width: 100%;
    height: 200px;
    transition: 0.5s;
}

.container .card .face.face1 {
    position: relative;
    background: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    transform: translateY(100px);
}

.container .card:hover .face.face1 {
    background: #ffb33a;
    transform: translateY(0);
}

.container .card .face.face1 .content {
    opacity: 0.6;
    transition: 0.5s;
}

.container .card:hover .face.face1 .content {
    opacity: 1;
}

.container .card .face.face1 .content img {
    max-width: 100px;
    filter: invert(1);
}

.container .card .face.face1 .content h3 {
    margin: 10px 0 0;
    padding: 0;
    color: #fff;
    text-align: center;
    font-size: 1.2em;
}

.container .card .face.face2 {
    position: relative;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0 20px 50px rgba(0, 0, 0, 0.8);
    transform: translateY(-100px);
}

.container .card:hover .face.face2 {
    transform: translateY(0);
}

.container .card .face.face2 .content p {
    margin: 0;
    padding: 0;
}

.container .card .face.face2 .content a {
    margin: 15px 0 0;
    display: inline-block;
    text-decoration: none;
    font-weight: 900;
    color: #333;
    padding: 5px;
    border: 1px solid #333;
}

.container .card .face.face2 .content a:hover {
    background: #333;
    color: #fff;
}


/* 五大助力 */
#Help {
    width: 100%;
    padding: 100px;
    background-color: rgb(235, 234, 234);
}

.helpTitle {
    text-align: center;
    font-size: 1.5rem;
    line-height: 1.6;
    font-weight: 900;
    color: #14213D;
}

.helpTitle2 hr {
    width: 3%;
    height: 3px;
    border: 0px;
    background-color: #FCA311;
    margin: 0px 15px;
}

.helpTitle2 {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 10px 0px 60px 0px;
}

.helpTitle2 p {
    color: #FCA311;
    font-weight: 900;
}

.helpArea {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.helpItem {
    width: 23%;
    background-color: rgb(244, 244, 244);
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.247);
    padding: 40px 20px;
    border-radius: 5px;
    margin-bottom: 50px;
}

.helpItem:hover {
    transition: all 0.5s ease;
    transform: scale(1.02);
    box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.139);
}

.helpImg {
    width: 50%;
    margin: auto;
}

.helpImg img {
    width: 100%;
}


.helpText {
    margin-top: 10px;
}

.helpText p {
    letter-spacing: 1.8px;
    line-height: 1.5;
    font-size: 14px;
}

.helpText .p1 {
    text-align: center;
    font-size: 20px;
}

.helpText hr {
    background-color: #FCA311;
    height: 2px;
    border: 0px;
    width: 50%;
    margin: 15px auto 15px;
}



.helpItem:hover {
    transition: all 1s ease;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.11);
}



/* 專業團隊 */

#team {
    width: 100%;
    height: 110vh;
    padding: 0px;
}

#team .title {
    position: absolute;
    top: 80px;
    text-align: center;

    color: #ffffff;
}

.teamTitle {
    text-align: center;
    font-size: 1.5rem;
    line-height: 1.6;
    font-weight: 900;
    font-family: 'Kaushan Script',
        cursive;
}

.teamTitle2 hr {
    width: 3%;
    height: 3px;
    border: 0px;
    background-color: #FCA311;
    margin: 0px 15px;
}

.teamTitle2 {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 10px 0px 60px 0px;
}

.teamTitle2 p {
    color: #FCA311;
    font-weight: 900;
}



/* 表單 */

#form {
    width: 100%;
    padding: 70px 0px;
    background-color: #333;
}

#form .teamTitle {
    color: white;
}

:root {
    --white-color: #fff;
    --greenish-color: #2e2e2e;
}

::placeholder {
    font-size: 15px;
    font-family: inherit;
    color: var(--greenish-color);
}

:focus {
    border-color: #f5f5f5;
    box-shadow: 0 0 0 0.1rem #d6d6d6;
    transition: 0.2s linear;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
    text-transform: capitalize;
}

.optional {
    font-weight: lighter;
    font-size: 15px;
}

.form-option:not(:last-child) {
    margin-bottom: 20px;
}


.formContainer {
    width: 70%;
    margin: 75px auto;
    box-shadow: 0 20px 50px rgb(0 0 0 / 80%);
}


.formContainer form {
    padding: 30px;
    background: var(--white-color);
    border-radius: 6px;

}

.form-option p {
    text-transform: capitalize;
    font-weight: bold;
    font-size: 18px;
    margin-bottom: 15px;
}

input,
textarea,
select {
    width: 100%;
    outline: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 10px 12px;
    font-size: 18px;
    font-family: inherit;
    -webkit-accent-color: var(--greenish-color);
    -moz-accent-color: var(--greenish-color);
    accent-color: var(--greenish-color);
}

select option {
    text-transform: capitalize;
}

textarea {
    resize: vertical;
    height: 180px;
}

.form-radio-option {
    margin-bottom: 5px;
    display: flex;
    align-items: center;
}

.form-checkbox-option {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}


.form-radio-option label,
.form-checkbox-option label {
    display: inline-block;
    font-size: 17px;
    font-weight: 500;
    margin-bottom: 0px;
    margin-left: 10px;
}


.form-radio-option input,
.form-checkbox-option input {
    display: inline-block;
    margin-right: 5px;
    width: 1.2rem;
    height: 1.2rem;
}

.submit {
    display: block;
    background: #ffb33a;
    color: var(--white-color);
    text-transform: capitalize;
    cursor: pointer;
    font-weight: 400;
    letter-spacing: 1px;
    transition: background-color 0.2s linear;
}

.submit:hover {
    background: #ffb33a;
}

:root {
    --clr-blue: #4285F4;
    --clr-gray: #6c6c6c;
    --clr-black: #3c3c3c;
    --clr-green: #ffb33a;
    --grid-border-clr: #cccccc;
    --transition: .25s;
}

.dd-center-p-content {
    background: #1C1C1C;
}

.dd-title {
    color: #fff;
}


.box-grid {
    border-top: 1px solid var(--grid-border-clr);
    border-bottom: 1px solid var(--grid-border-clr);
    margin-bottom: -1px;
}


.box-group {
    position: relative;
    display: inline-block;
    margin: 15px 10px;
}

.box-group input[type="radio"],
.box-group input[type="checkbox"] {
    display: none;
}

.box-group label {
    position: relative;
    cursor: pointer;
    font-weight: 700;
    color: var(--clr-gray);
}

.box-group.basic label {
    font-size: 16px;
    padding-left: 25px;
    transform: var(--transition);
}

.box-group.basic label::before,
.box-group.basic label::after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 18px;
    height: 18px;
    text-align: center;
    line-height: 20px;
    border-radius: 3px;
    transition: var(--transition);
}

.box-group.basic label::after {
    border: 1px solid var(--clr-gray);
}

.box-group.basic label::before {
    left: 1px;
    font-family: "Material Design Icons";
    opacity: 0;
}

.box-group.basic input[type="checkbox"]+label::before {
    content: "\F12C";
}

.box-group.basic input[type="radio"]+label::before {
    content: "\F0DA";
}

.box-group.basic.zoomOut label::before {
    transform: scale(0);
}

.box-group.basic.zoomIn label::before {
    transform: scale(2);
}

.box-group.basic input[type="radio"]+label::after {
    border-radius: 50%;
}

.box-group.basic:hover label {
    color: var(--clr-gray);
}

.box-group.basic:hover label::after {
    box-shadow: 0 0 5px rgba(0, 0, 0, .15) inset;
}

.box-group.basic input[type="radio"]:checked+label,
.box-group.basic input[type="checkbox"]:checked+label {
    color: var(--clr-green);
}

.box-group.basic input[type="radio"]:checked+label::after,
.box-group.basic input[type="checkbox"]:checked+label::after {
    border-color: var(--clr-green);
}

.box-group.basic input[type="radio"]:checked+label::before,
.box-group.basic input[type="checkbox"]:checked+label::before {
    opacity: 1;
    transform: scale(1);
    color: var(--clr-green);
}

.box-group.solid label {
    padding: 10px 25px;
    border-radius: 5px;
    background-color: rgb(230, 230, 230);
    transition: var(--transition);
}

.box-group.solid.border label {
    border: 1px solid rgba(0, 0, 0, .25);
}

.box-group.solid.border-bg label {
    background: rgba(0, 0, 0, .1);
}

.box-group.solid:hover label {
    background: rgba(0, 0, 0, .05);
}

.box-group.solid input[type="checkbox"]:checked+label,
.box-group.solid input[type="radio"]:checked+label {
    color: #ffffff;
    background: var(--clr-green);
    border-color: var(--clr-green);
}



.box-group.solid input[type="checkbox"]:checked+label::before,
.box-group.solid input[type="radio"]:checked+label::before {
    opacity: 1;
    transform: scale(1) translateX(0);
}

.box-group.card {
    position: relative;
    padding: 15px 25px;
    min-width: 120px;
    border-radius: 3px;
    cursor: pointer;
    transition: all .5s;
    z-index: 9;
}

.box-group.card.checked {
    background: rgba(0, 0, 0, .15);
}

.box-group.card::after {
    position: absolute;
    font-family: "Material Design Icons";
    top: 5px;
    left: 5px;
    font-size: 24px;
    color: var(--clr-green);
    transform: scale(0);
    opacity: 0;
    transition: all .5s;
}

.box-group.card.radio::after {
    content: "\F01A";
}

.box-group.card.checkbox::after {
    content: "\F790";
}

.box-group.card.checked::after {
    transform: scale(1);
    opacity: 1;
}

.box-group.card label {
    font-weight: 700;
    font-size: 16px;
    z-index: -1;
}

.box-group.card i {
    font-size: 55px;
    color: var(--clr-gray);
    display: inline-block;
    margin-bottom: 10px;
    transition: all .5s;
}

.box-group.card:hover {
    background: rgba(0, 0, 0, .1);
}

.box-group.card:hover i {
    color: var(--clr-black);
    transform: translateY(5px);
}

.box-group.card.checked i {
    color: var(--clr-black);
    transform: translateY(5px);
}

.a-link {
    font-size: 1.5rem;
    color: #0645AD;
}



/* 聯絡我們 */

#contact {
    background-color: #333;
    width: 100%;
}

.contactArea {
    width: 70%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
}

.contactItem {
    width: 30%;
    margin: 0px 10px;
}

.map {
    width: 40%;
}

.map iframe {
    width: 100%;
    height: 300px;
}

.contactItem p {
    color: white;
}

.contactItem li {
    color: white;
    list-style: none;
    line-height: 2;
    font-size: 16px;
}

.contactItem .social {
    display: flex;
    justify-content: flex-start;
}

.contactItem .social a {
    width: 8%;
    margin: 5px;

    transition: all 0.5s ease;
}

.contactItem .social a:hover {
    opacity: 0.8;
}

.contactItem .social img {
    width: 100%;
}

.contactItem a:hover {
    transition: all 0.5s ease;
    color: #FCA311;
}

.contactTitle {
    font-size: 32px;
    font-weight: 900;
}



.copyright {
    background-color: #ffb33a;
    padding: 5px;
}

.copyright p {
    text-align: center;
    font-size: 12px;
    color: white;
}

@media screen and (max-width: 900px) {
    #banner img {
        height: 100vh;
    }

    .nav-menu {
        width: 70%;
    }

    #serve {
        padding: 60px;
    }

    .serveArea {
        flex-wrap: wrap;
        justify-content: center;
    }

    .serveItem {
        width: 50%;
        margin: 0px;
        margin-bottom: 50px;
    }

    .aboutArea {
        flex-wrap: wrap;
    }

    .aboutPic {
        width: 100%;
        margin: 50px 0px;
    }

    .aboutItem {
        width: 100%;
    }


    .heroItem {
        flex-direction: column;
    }

    .contactArea {
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .contactItem {
        width: 45%;
    }

    .map {
        width: 100%;
    }

    .formContainer {
        width: 88%;
    }

    #carousel {
        padding: 80px 40px;
    }

    .blog-slider__img {
        width: 200px;
        margin-left: 40px;
    }

    .blog-slider__title {
        font-size: 20px;
    }

    #process {
        padding: 80px 40px;
    }

    .process {
        display: flex;
        flex-wrap: wrap;
    }

    .process__title {
        font-size: 24px;
    }

    #health {
        padding: 80px 40px;
    }

    .container .card .face.face2 .content p {
        font-size: 14px;
        letter-spacing: 1.5px;
        line-height: 1.3;
    }

    .gallery_item {
        width: 48%;
    }

    .gallery_item_preview a h3 {
        font-size: 18px;
        font-weight: 900;
    }

    .gallery_item_preview a p {
        font-size: 14px;
        letter-spacing: 1.5px;
        line-height: 1.5;
    }

    #team {
        width: 100%;
        height: 100vh;
        padding: 0px;
    }

    .gallery_item_preview a img {
        height: 180px;
        object-fit: cover;
        object-position: 0% 0%;

    }
}

@media screen and (max-width: 600px) {
    section {
        padding: 40px 0px;
    }


    #navbar {
        height: 80px;
        padding: 0px 10px !important;
    }

    .nav-menu {
        display: grid;
        grid-template-columns: auto;
        background: var(--navbar);
        margin: 0;
        width: 100%;
        position: absolute;
        top: 80px;
        left: -100%;
        opacity: 0;
        transition: all 0.5s ease;
    }


    #logo {
        width: 100%;
        margin-left: 20px;
    }

    .nav-menu.active {
        background: #ffd38dbc;
        left: 0;
        opacity: 1;
        transition: all 0.5s ease;
    }

    .nav-links {
        text-align: center;
        line-height: 60px;
        width: 100%;
        display: table;
    }

    .nav-links:hover {
        background-color: rgb(253, 176, 53);
        color: white;
        transition: all 0.4s ease-out;
    }


    #mobile-menu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .menu-toggle .bar {
        display: block;
        cursor: pointer;
    }

    .menu-toggle:hover {
        cursor: pointer;
    }

    #mobile-menu.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    #mobile-menu.is-active .bar:nth-child(1) {
        transform: translateY(11px) rotate(45deg);
    }

    #mobile-menu.is-active .bar:nth-child(3) {
        transform: translateY(-5px) rotate(-45deg);
    }

    #banner {
        width: 100%;
    }

    #banner img {
        display: block;
        width: 100%;
        height: 100vh;
        object-fit: cover;
    }


    .bannerText .title {
        font-size: 0.8rem;
        line-height: 1.6;
        font-weight: 900;
    }

    .bannerText .title2 {
        font-size: 12px;
        line-height: 1.3;
        padding: 0px 10px;
    }

    .serveArea {
        flex-wrap: wrap;
    }

    .serveItem {
        width: 100%;
        margin: 30px 0px 30px 0px;
    }

    .aboutArea {
        flex-wrap: wrap;
    }

    .aboutPic {
        width: 100%;
        margin: 30px 0px;
    }

    .aboutItem {
        width: 100%;
    }

    .aboutTitle {
        font-size: 1.3rem;
    }

    .aboutText {
        font-size: 12px;
    }

    #hero {
        flex-wrap: wrap;
    }

    .heroItem {
        width: 100%;
        margin-bottom: 50px;
        justify-content: space-between;
    }

    #choose {
        width: 100%;
        padding: 50px 10px;
    }

    .chooseTitle2 {
        margin-bottom: 0px;
    }

    .wrapper {
        margin: 0px;
        padding: 20px;
    }

    .wrapper h1 {
        font-size: 30px;
    }

    .number-1,
    .number-4 {
        font-size: 220px;
    }

    .number-3 {
        right: -5px;
    }

    .chooseArea {
        flex-wrap: wrap;
    }

    #Help {
        padding: 50px 20px;
    }

    .helpArea {
        flex-wrap: wrap;
        justify-content: center;
    }

    .helpItem {
        width: 80%;
        margin-bottom: 50px;
    }

    .flip-card {
        width: 100%;
        margin-bottom: 30px;
    }

    .teamArea {
        flex-wrap: wrap;
    }

    #team .card {
        width: 100%;
        margin-bottom: 30px;
    }

    .contactArea {
        width: 75%;
        text-align: left;
    }

    .contactArea .nav-links {
        text-align: left;
        line-height: 30px;
        width: 100%;
        display: table;
    }

    .contactArea {
        flex-wrap: wrap;
    }

    .contactItem {
        width: 100%;
    }

    .contactItem li {
        font-size: 14px;
    }



    .flip-card-back h1 {
        font-size: 20px;
    }

    .formContainer {
        width: 100%;
    }

    .formContainer form {
        padding: 15px;
    }

    .blog-slider__img {
        width: 100%;
        margin-left: 0px;
    }

    .blog-slider__title {
        font-size: 18px;
    }

    .blog-slider__text {
        font-size: 14px;
    }

    .feature {
        flex-wrap: wrap;
        margin-top: 40px;
    }

    .feature2 {
        flex-direction: column-reverse;
    }


    .featured-image-container.ipsGrid_span5.gs_reveal.gs_reveal_fromLeft {
        width: 100%;
    }

    .ipsGrid>.ipsGrid_span7 {
        width: 100%;
    }

    .featured-image-container.ipsGrid_span5.gs_reveal.gs_reveal_fromRight {
        width: 100%;
    }

    .process__item {
        width: 50%;
        padding: 5px;
    }

    .process__item::marker {
        color: #333;
    }

    .process__title {
        font-size: 16px;
    }

    .process__subtitle {
        font-size: 12px;
    }

    #health {
        padding: 80px 20px;
    }

    .container .card {
        width: 48%;
    }

    .container .card .face.face2 {
        padding: 10px;
    }

    .container .card .face.face1 .content h3 {
        font-size: 16px;
    }

    .container .card .face.face2 .content p {
        font-size: 12px;
    }

    .gallery_item {
        width: 100%;
    }

    .cardList {
        width: calc(1 * var(--card-width));
    }

    .formContainer {
        margin-top: 30px;
        width: 90%;
    }

    .box-group.solid label {
        border-radius: 10px;
        font-size: 16px;
    }

}

@media (min-width: 600px) {

    .wrapper {
        grid-template-columns: repeat(2, 1fr 2fr);
        margin: 24px auto;
    }

    .header {
        grid-column: 3 / 5;
        width: 70%;
    }

    .featured-image-1 {
        grid-row: 1 / 3;
    }

    .article-1 {
        grid-row: 3 / 4;
    }

    .article-2 {
        grid-column: 4 / 5;
        grid-row: 4 / 5;
    }

    .featured-image-2,
    .number-2 {
        grid-column: 3 / 5;
        grid-row: 2 / 4;
    }

    .featured-image-3,
    .number-3 {
        grid-row: 4 / 6;
    }

    .featured-image-4,
    .number-4 {
        grid-column: 3 / 5;
        grid-row: 5 / 6;
    }

    .number-4 {
        font-size: 320px;
        grid-row: 5 / 7;
    }

    .article-3,
    .article-4 {
        grid-row: 6 / 7;
    }

    .article-4 {
        grid-column: 4 / 5;
    }

}